Page MenuHomePhabricator

Service implementation on wdqs101[1-3].eqiad.wmnet
Open, HighPublic5 Estimated Story Points

Description

Once servers are ready (racked and initial setup) we will need to do the service configuration. Hardware request has been closed, but the status is unclear (T227755).

Event Timeline

Gehel created this task.Feb 27 2020, 2:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2020, 2:19 PM
Gehel added a subtask: Unknown Object (Task).Feb 27 2020, 2:19 PM
Addshore moved this task from incoming to in progress on the Wikidata board.Feb 27 2020, 11:02 PM
Gehel reassigned this task from Gehel to RKemper.Jul 17 2020, 8:26 AM
Gehel triaged this task as High priority.Jul 22 2020, 8:47 AM
CBogen set the point value for this task to 5.Aug 24 2020, 5:38 PM
Gehel added a comment.Aug 24 2020, 5:39 PM

Checking via SSH, wdqs1011 is configured and accessible.

What's left is service implementation, adding the correct roles to those servers in puppet, making sure the configuration is correct. Once the servers are initialized, we need to do an initial data load by copying the journals from another server.

Change 634381 had a related patch set uploaded (by Ryan Kemper; owner: Ryan Kemper):
[operations/puppet@production] Bring 3 new eqiad wdqs nodes into service

https://gerrit.wikimedia.org/r/634381

Change 634381 merged by Ryan Kemper:
[operations/puppet@production] Bring 3 new eqiad wdqs nodes into service

https://gerrit.wikimedia.org/r/634381

Mentioned in SAL (#wikimedia-operations) [2020-11-19T16:59:53Z] <ryankemper> T246345 [wdqs] Data-transfer of new wdqs node wdqs1012 is complete, beginning transfer of wdqs1004->wdqs1013 (public) and wdqs1003->wdqs1011 (internal). Once these transfers are done wdqs1012 and wdqs1013 will need to be pooled and have their weights set to 10 after verifying they're healthy